<?php
class LaunchersSchema extends CakeSchema {

    public $file = 'launchers.php';

    public $connection = 'plugin';

    public function before($event = array()) {
        return true;
    }

    public function after($event = array()) {
    }

    public $launchers = array(
        'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'unsigned' => false, 'key' => 'primary'),
        'title' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
        'url' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
        'image_1' => array('type' => 'string', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
        'publish' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
        'sort' => array('type' => 'integer', 'null' => true, 'default' => null, 'unsigned' => false),
        'modified' => array('type' => 'datetime', 'null' => false, 'default' => null),
        'created' => array('type' => 'datetime', 'null' => false, 'default' => null),
        'indexes' => array(
            'PRIMARY' => array('column' => 'id', 'unique' => 1)
        ),
        'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'InnoDB')
    );

}
