<?php
/*
* スタッフ紹介プラグイン
* ヘルパー
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Cast Plugin Project
* @since        ver.0.9.0
*/
/* Model */
App::import('Model', 'Launcher.Launcher');
App::uses('AppHelper', 'View/Helper');

class LauncherBaserHelper extends AppHelper
{

    /**
     * ヘルパー
     *
     * @var array
     */
    public $helpers = array('BcBaser');

    /**
     * 一覧取得
     *
     * @return array()
     * @access public
     */
    public function getLauncherIcons()
    {
        $launcherModel = new Launcher();
        $data = $launcherModel->find('all', array(
            'conditions' => array(
                'Launcher.publish' => 1 //公開
            ),
            'order' => 'Launcher.sort ASC'
        ));
        return $data;
    }
}