<!-- form -->
<?php echo $this->BcForm->create('Launcher', array('enctype' => 'multipart/form-data')) ?>
<div class="section">
    <table cellpadding="0" cellspacing="0" id="FormTable" class="form-table">
        <?php if ($this->action == 'admin_edit'): ?>
            <tr>
                <th class="col-head"><?php echo $this->BcForm->label('Launcher.id', 'NO') ?></th>
                <td class="col-input">
                    <?php echo $this->BcForm->value('Launcher.id') ?>
                    <?php echo $this->BcForm->input('Launcher.id', array('type' => 'hidden')) ?>
                </td>
            </tr>
        <?php endif; ?>
        <tr>
            <th class="col-head"><?php echo $this->BcForm->label('Launcher.title', '名称') ?>&nbsp;<span class="required">*</span></th>
            <td class="col-input">
                <?php echo $this->BcForm->input('Launcher.title', array('type' => 'text', 'size' => 20, 'maxlength' => 255)) ?>　
                <?php echo $this->BcForm->error('Launcher.title') ?>
                <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
                <div id="helptextName" class="helptext">
                    <ul>
                        <li>ランチャーに表示される名称を入力します。</li>
                    </ul>
                </div>
            </td>
        </tr>
        <tr>
            <th class="col-head"><?php echo $this->BcForm->label('Launcher.url', 'URL') ?>&nbsp;<span class="required">*</span></th>
            <td class="col-input">
                <?php echo $this->BcForm->input('Launcher.url', array('type' => 'text', 'size' => 20, 'maxlength' => 255)) ?>
                <?php echo $this->BcForm->error('Launcher.url') ?>
                <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
                <div id="helptextName" class="helptext">
                    <ul>
                        <li>リンク先のURLを入力します。</li>
                        <li>管理画面の機能にリンクさせるときは、/admin/以下から入力すると、ユーザーの権限に応じて自動的に表示が切り替わります。</li>
                    </ul>
                </div>
            </td>
        </tr>
        <tr>
            <th class="col-head"><?php echo $this->BcForm->label('Launcher.image_1', 'アイコン') ?>&nbsp;<span class="required">*</span></th>
            <td class="col-input">
                <?php if ($this->request->action == 'admin_edit' && !empty($Launcher['Launcher']['image_1'])): ?>
                    <?php $this->BcBaser->img($imgPath.$Launcher['Launcher']['image_1'], array('width' => '150px')) ?>
                    <br />
                    <?php echo $this->BcForm->input('Launcher.del_image_1', array('type' => 'checkbox', 'label' => 'この画像を削除する')) ?>
                    <br />
                <?php endif; ?>
                <?php echo $this->BcForm->input('Launcher.image_1', array('type' => 'file')) ?>
                <?php echo $this->BcForm->error('Launcher.image_1') ?>
                <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
                <div id="helptextName" class="helptext">
                    <ul>
                        <li>アイコン画像を登録できます。</li>
                        <li>画像は自動的に縮小されます。</li>
                    </ul>
                </div>
            </td>
        </tr>
        <tr>
            <th class="col-head"><?php echo $this->BcForm->label('Launcher.publish', '公開設定') ?>&nbsp;<span class="required">*</span></th>
            <td class="col-input">
                <?php $options = array(0 => '使用しない', 1 => '使用する') ?>
                <?php echo $this->BcForm->input('Launcher.publish', array(
                    'type' => 'select',
                    'options' => $options
                )) ?>
                <?php echo $this->BcForm->error('Launcher.publish') ?>
                <?php echo $this->BcHtml->image('admin/icn_help.png', array('id' => 'helpName', 'class' => 'btn help', 'alt' => 'ヘルプ')) ?>
                <div id="helptextName" class="helptext">
                    <ul>
                        <li>このデータを公開するかどうかを設定できます。</li>
                    </ul>
                </div>
            </td>
        </tr>
    </table>
</div>
<!-- button -->
<div class="submit">
    <?php echo $this->BcForm->submit('保存', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
    <?php if ($this->action == 'admin_edit'): ?>
        <?php
        $this->BcBaser->link('削除', array('action' => 'delete', $this->BcForm->value('Launcher.id')), array('class' => 'button'), sprintf('本当に削除してもいいですか？'), false);
        ?>
    <?php endif ?>
</div>

<?php echo $this->BcForm->end() ?>
